Bug 728923 - Serial console is not configured
Serial console is not configured
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
AcceptedNTH RejectedBlocker
:
Depends On: 734861
Blocks: F16Beta-accepted/F16BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2011-08-08 08:04 EDT by Kamil Páral
Modified: 2014-09-30 19:40 EDT (History)
10 users (show)

See Also:
Fixed In Version: anaconda-16.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-03 10:24:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2011-08-08 08:04:33 EDT
Description of problem:
I installed F16 Alpha RC1 while following this test case:
https://fedoraproject.org/wiki/QA:Testcase_Anaconda_User_Interface_serial_console

The installation over serial console went fine. But the installed system is not configured to be accessible over serial console.

'systemctl status serial-getty@ttyS0.service' reports the service to be 'inactive (dead)'. 'ttyS0' is not listed in /etc/securetty. There are no 'console' kernel options in /boot/grub2/grub.cfg.

Version-Release number of selected component (if applicable):
anaconda 16.14.2
F16 Alpha RC1
Comment 1 Kamil Páral 2011-08-08 08:06:27 EDT
Marking as F16Beta blocker:

When booting a system installed without a graphical environment, or when using a correct configuration setting to cause an installed system to boot in non-graphical mode, the system should provide a working login prompt without any unintended user intervention when boot is complete, and all virtual consoles intended to provide a working login prompt should do so
https://fedoraproject.org/wiki/Fedora_16_Beta_Release_Criteria
Comment 2 Kamil Páral 2011-08-12 08:58:33 EDT
Reproduced for anaconda 16.14.3 (Alpha RC3).
Comment 3 Ales Kozumplik 2011-08-15 02:42:18 EDT
(master commit c767123d7e79a82e6323676aed644398abf3f3ee incorrectly references this bug. it should reference bug 712459)
Comment 4 Ales Kozumplik 2011-08-15 09:52:17 EDT
Kamil, can you please retest with:

http://akozumpl.fedorapeople.org/bz728923.img

Thank you.
Comment 5 Kamil Páral 2011-08-15 10:31:36 EDT
Ales, your patch fixes the problem. Thanks.
Comment 6 Ales Kozumplik 2011-08-16 07:15:39 EDT
Thanks, pushed to master 02fd25bcb15f58c841d73d83391785a35d099875.

This will only appear post-alpha.
Comment 7 Tim Flink 2011-09-01 13:31:12 EDT
Discussed in the 2011-08-26 blocker review meeting. This doesn't hit any of the beta release criteria [1] and thus was not accepted as a blocker. It was accepted as an NTH for Fedora 16 beta since it is heavily used in headless installs.

Will revisit blocker status at the next meeting if this isn't fixed by then.

[1] https://fedoraproject.org/wiki/Fedora_16_Beta_Release_Criteria
Comment 8 Adam Williamson 2011-09-02 13:11:59 EDT
Kamil, can you confirm this is fixed in TC1, and if so, close the bug? 16.15-1 already went stable. thanks!
Comment 9 Kamil Páral 2011-09-05 05:58:43 EDT
Unfortunately serial console stopped working for me in libvirt. I don't know what's wrong, but I can't re-test this bug right now. Can somebody else pitch in?
Comment 10 Kamil Páral 2011-09-05 08:31:00 EDT
OK, so serial console installation is not working. I don't know whether this bug is fixed, because there is a new bug that makes the whole process fail: bug 735790.
Comment 11 Adam Williamson 2011-09-09 13:23:39 EDT
Discussed at 2011-09-09 blocker review meeting. Agreed this is rejectedblocker as for now we have no serial console release criteria; we may add one in future, but we didn't see the need to take this bug right now.
Comment 12 Tim Flink 2011-09-14 15:08:42 EDT
I just tried this with a beta TC2 netinstall on an x86_64 VM.

When I try to install over serial console (console=ttyS0), there is output on the console while booting but anaconda doesn't start up in the serial console - it starts on the "monitor" of the VM.
Comment 13 Kamil Páral 2011-09-15 04:29:15 EDT
Tim, I guess you forgot to append "serial" kernel option. I re-tried on i686 and the installation goes fine up till the bootloader installation, then I hit #736993, same as Hongqing.
Comment 14 Dave Allan 2011-10-05 21:50:01 EDT
Serial console was configured correctly for me on Beta after I worked through BZ 743642
Comment 15 Philip Prindeville 2011-12-09 14:05:06 EST
(In reply to comment #11)
> Discussed at 2011-09-09 blocker review meeting. Agreed this is rejectedblocker
> as for now we have no serial console release criteria; we may add one in
> future, but we didn't see the need to take this bug right now.

Can serial console install/upgrade please be added to the test criteria before F17 releases?

For us, this is a fairly common scenario.
Comment 16 Kamil Páral 2012-09-03 10:24:30 EDT
This bug is obsolete, closing.

Note You need to log in before you can comment on or make changes to this bug.